package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * InventoryTransactionTypes generated by hbm2java
 */
@Entity
@Table(name="inventory_transaction_types"
    ,catalog="northwind"
)
public class InventoryTransactionTypes  implements java.io.Serializable {


     private byte id;
     private String typeName;
     private Set<InventoryTransactions> inventoryTransactionses = new HashSet<InventoryTransactions>(0);

    public InventoryTransactionTypes() {
    }

	
    public InventoryTransactionTypes(byte id, String typeName) {
        this.id = id;
        this.typeName = typeName;
    }
    public InventoryTransactionTypes(byte id, String typeName, Set<InventoryTransactions> inventoryTransactionses) {
       this.id = id;
       this.typeName = typeName;
       this.inventoryTransactionses = inventoryTransactionses;
    }
   
     @Id 
    
    @Column(name="id", unique=true, nullable=false)
    public byte getId() {
        return this.id;
    }
    
    public void setId(byte id) {
        this.id = id;
    }
    
    @Column(name="type_name", nullable=false, length=50)
    public String getTypeName() {
        return this.typeName;
    }
    
    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="inventoryTransactionTypes")
    public Set<InventoryTransactions> getInventoryTransactionses() {
        return this.inventoryTransactionses;
    }
    
    public void setInventoryTransactionses(Set<InventoryTransactions> inventoryTransactionses) {
        this.inventoryTransactionses = inventoryTransactionses;
    }




}


